Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Repository\Values\ContentType\ContentTypeGroupProxy Class Reference

This class represents a (lazy loaded) proxy for a content type group value. More...

Inheritance diagram for eZ\Publish\Core\Repository\Values\ContentType\ContentTypeGroupProxy:

## Public Member Functions
| getNames ()
| Return the human readable name in all provided languages. More...
| getName ($languageCode=null)
| Return the name of the domain object in a given language. More...
| getDescriptions ()
| Return the human readable description in all provided languages. More...
| getDescription ($languageCode=null)
| Return the human readable description of the domain object in a given language. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $object
Protected Attributes inherited from eZ\Publish\API\Repository\Values\ContentType\ContentTypeGroup
| $id
| $identifier
| $creationDate
| $modificationDate
| $creatorId
| $modifierId

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

This class represents a (lazy loaded) proxy for a content type group value.

Meant for internal use by Repository, type hint against API object instead.

Definition at line 17 of file ContentTypeGroupProxy.php.

## Member Function Documentation

## ◆ getDescription()

eZ\Publish\Core\Repository\Values\ContentType\ContentTypeGroupProxy::getDescription | ( |  | $languageCode = `null` | ) |

Return the human readable description of the domain object in a given language.

- If $languageCode is defined, return if available, otherwise null
- If not, pick it using prioritized language (if provided to api on object retrieval), otherwise in main language

Parameters

  string | null | $languageCode |

Returns
  string|null The description for a given language, or null if $languageCode is not set or does not exist.

Implements eZ\Publish\SPI\Repository\Values\MultiLanguageDescription.

Definition at line 51 of file ContentTypeGroupProxy.php.

References eZ\Publish\Core\Repository\Values\loadObject().

## ◆ getDescriptions()

eZ\Publish\Core\Repository\Values\ContentType\ContentTypeGroupProxy::getDescriptions | ( |  | ) |

Return the human readable description in all provided languages.

The structure of the return value is: `array( 'eng' => '<description_eng>', 'de' => '<description_de>' );`

Returns
  string[]

Implements eZ\Publish\SPI\Repository\Values\MultiLanguageDescription.

Definition at line 42 of file ContentTypeGroupProxy.php.

References eZ\Publish\Core\Repository\Values\loadObject().

## ◆ getName()

eZ\Publish\Core\Repository\Values\ContentType\ContentTypeGroupProxy::getName | ( |  | $languageCode = `null` | ) |

Return the name of the domain object in a given language.

- If $languageCode is defined, return if available, otherwise null
- If not, pick using the following languages codes when applicable:
  1. Prioritized languages (if provided to api on object retrieval)
  2. Main language if object is $alwaysAvailable
  3. Fallback to return in initial (version objects) or main language

Parameters

  string | null | $languageCode |

Returns
  string|null The name for a given language, or null if $languageCode is not set or does not exist.

Implements eZ\Publish\SPI\Repository\Values\MultiLanguageName.

Definition at line 33 of file ContentTypeGroupProxy.php.

References eZ\Publish\Core\Repository\Values\loadObject().

## ◆ getNames()

eZ\Publish\Core\Repository\Values\ContentType\ContentTypeGroupProxy::getNames | ( |  | ) |

Return the human readable name in all provided languages.

The structure of the return value is: `array( 'eng' => '<name_eng>', 'de' => '<name_de>' );`

Returns
  string[]

Implements eZ\Publish\SPI\Repository\Values\MultiLanguageName.

Definition at line 24 of file ContentTypeGroupProxy.php.

References eZ\Publish\Core\Repository\Values\loadObject().

## Member Data Documentation

## ◆ $object

eZ\Publish\Core\Repository\Values\ContentType\ContentTypeGroupProxy::$object
| protected

Definition at line 22 of file ContentTypeGroupProxy.php.

The documentation for this class was generated from the following file:

- ContentTypeGroupProxy.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.